using Lada.Framework.Data.Domains.Finance.Wallets;
using Lada.Framework.Data.Domains.Orders;
using Lada.Framework.Data.Mappings.EntityMappings.Orders;
using Microsoft.EntityFrameworkCore;

namespace Lada.Framework.Data.Mappings.DbContexts
{
    public partial class LadaDbContext
    {
        private void ApplyOrderMappings(ModelBuilder builder)
        {
            builder
                .RegisterEntityMapping<Order, OrderMap>()
                .RegisterEntityMapping<OrderPackage, OrderPackageMap>()
                .RegisterEntityMapping<OrderFin, OrderFinMap>()
                .RegisterEntityMapping<OrderAddress, OrderAddressMap>()
                .RegisterEntityMapping<OrderOps, OrderOpsMap>()
                .RegisterEntityMapping<OrderTimeTrack, OrderTimeTrackMap>()
                .RegisterEntityMapping<OrderTrack, OrderTrackMap>();
        }
    }
}
